//===========================================================================
//
// Name:			fw_items.c
// Function:		file to start with for fuzzy logic interbreeding sessions
// Programmer:		Mr Elusive
// Tab Size:		4 (real tabs)
// Notes:			-
//===========================================================================


//#define WEAPONS_STAY

//balance range
#define BR_ARMOR				30
#define BR_HEALTH				30
#define BR_WEAPON				30
#define BR_AMMO					30
#define BR_POWERUP				30

//balance macros
#define MZ(value)				(value) < 0 ? 0 : (value)
#define ARMOR_SCALE(v)			balance($evalfloat(MZ(FS_ARMOR*v)), $evalfloat(MZ(FS_ARMOR*v-BR_ARMOR)), $evalfloat(MZ(FS_ARMOR*v+BR_ARMOR)))
#define HEALTH_SCALE(v)			balance($evalfloat(MZ(FS_HEALTH*v)), $evalfloat(MZ(FS_HEALTH*v-BR_HEALTH)), $evalfloat(MZ(FS_HEALTH*v+BR_HEALTH)))
#define WEAPON_SCALE(v)			balance($evalfloat(MZ(v)), $evalfloat(MZ(v-BR_WEAPON)), $evalfloat(MZ(v+BR_WEAPON)))
#define AMMO_SCALE(v)			balance($evalfloat(MZ(v)), $evalfloat(MZ(v-BR_AMMO)), $evalfloat(MZ(v+BR_AMMO)))
#define POWERUP_SCALE(v)		balance($evalfloat(MZ(v)), $evalfloat(MZ(v-BR_POWERUP)), $evalfloat(MZ(v+BR_POWERUP)))

//=============================================
// ARMOR
//=============================================

weight "item_armor_shard"
{
	switch(INVENTORY_ARMOR)
	{
				case 10: return ARMOR_SCALE(20);
				case 20: return ARMOR_SCALE(20);
				case 30: return ARMOR_SCALE(20);
				case 40: return ARMOR_SCALE(20);
				case 50: return ARMOR_SCALE(20);
				case 60: return ARMOR_SCALE(15);
				case 70: return ARMOR_SCALE(15);
				case 80: return ARMOR_SCALE(15);
				case 90: return ARMOR_SCALE(15);
				case 100: return ARMOR_SCALE(15);
				case 110: return ARMOR_SCALE(10);
				case 120: return ARMOR_SCALE(10);
				case 130: return ARMOR_SCALE(10);
				case 140: return ARMOR_SCALE(10);
				case 150: return ARMOR_SCALE(10);
				case 160: return ARMOR_SCALE(10);
				case 170: return ARMOR_SCALE(10);
				case 180: return ARMOR_SCALE(10);
				case 190: return ARMOR_SCALE(10);
				case 200: return ARMOR_SCALE(10);
				default: return ARMOR_SCALE(1);
	} //end switch

} //end weight

weight "item_armor_padshield"
{
	switch(INVENTORY_ARMOR)
	{
				case 10: return ARMOR_SCALE(90);
				case 20: return ARMOR_SCALE(90);
				case 30: return ARMOR_SCALE(90);
				case 40: return ARMOR_SCALE(90);
				case 50: return ARMOR_SCALE(90);
				case 60: return ARMOR_SCALE(50);
				case 70: return ARMOR_SCALE(50);
				case 80: return ARMOR_SCALE(50);
				case 90: return ARMOR_SCALE(50);
				case 100: return ARMOR_SCALE(50);
				case 110: return ARMOR_SCALE(20);
				case 120: return ARMOR_SCALE(20);
				case 130: return ARMOR_SCALE(20);
				case 140: return ARMOR_SCALE(20);
				case 150: return ARMOR_SCALE(20);
				case 160: return ARMOR_SCALE(20);
				case 170: return ARMOR_SCALE(20);
				case 180: return ARMOR_SCALE(20);
				case 190: return ARMOR_SCALE(20);
				case 200: return ARMOR_SCALE(20);
				default: return ARMOR_SCALE(1);
	} //end switch
} //end weight

//=============================================
// HEALTH
//=============================================

weight "station_health"
{
	switch(INVENTORY_HEALTH)
	{
		case 10: return HEALTH_SCALE(80);
		case 20: return HEALTH_SCALE(80);
		case 30: return HEALTH_SCALE(80);
		case 40: return HEALTH_SCALE(80);
		case 50: return HEALTH_SCALE(70);
		case 60: return HEALTH_SCALE(70);
		case 70: return HEALTH_SCALE(60);
		case 80: return HEALTH_SCALE(60);
		case 90: return HEALTH_SCALE(50);
		case 100: return HEALTH_SCALE(50);
		default: return 0;
	} //end switch
} //end weight

//=============================================
// WEAPONS
//=============================================

weight "weapon_pumper"
{
	switch(INVENTORY_PUMPER)
	{
		case 1:
		{
			switch(INVENTORY_PUMPERAMMO)
			{
				case 10: return WEAPON_SCALE(W_SHOTGUN - 10);
				default: return WEAPON_SCALE(W_SHOTGUN);
			} //end switch
		} //end case
		default:
		{
#ifdef WEAPONS_STAY
			switch(INVENTORY_PUMPERAMMO)
			{
				case 10: return WEAPON_SCALE(GWW_SHOTGUN);
				case 100: return WEAPON_SCALE(GWW_SHOTGUN - 10);
				default: return balance(5, 3, 7);
			} //end switch
#else
			return 1;
#endif
		} //end default
	} //end switch
} //end weight

weight "weapon_nipper"
{
	switch(INVENTORY_NIPPER)
	{
		case 1:
		{
			switch(INVENTORY_NIPPERAMMO)
			{
				case 40: return WEAPON_SCALE(W_MACHINEGUN - 10);
				default: return WEAPON_SCALE(W_MACHINEGUN);
			} //end switch
		} //end case
		default:
		{
#ifdef WEAPONS_STAY
			switch(INVENTORY_NIPPERAMMO)
			{
				case 50: return WEAPON_SCALE(GWW_MACHINEGUN);
				case 200: return WEAPON_SCALE(GWW_MACHINEGUN - 10);
				default: return balance(5, 3, 7);
			} //end switch
#else
			return 1;
#endif
		} //end default
	} //switch
} //end weight

weight "weapon_balloony"
{
	switch(INVENTORY_BALLOONY)
	{
		case 1: return WEAPON_SCALE(W_GRENADELAUNCHER);
		default:
		{
#ifdef WEAPONS_STAY
			switch(INVENTORY_BALLOONYAMMO)
			{
				case 16: return WEAPON_SCALE(GWW_GRENADELAUNCHER);
				case 50: return WEAPON_SCALE(GWW_GRENADELAUNCHER - 10);
				default: return balance(5, 3, 7);
			} //end switch
#else
			return 1;
#endif
		} //end default
	} //end switch
} //end weight

weight "weapon_betty"
{
	switch(INVENTORY_BETTY)
	{
		case 1: return WEAPON_SCALE(W_ROCKETLAUNCHER);
		default:
		{
#ifdef WEAPONS_STAY
			switch(INVENTORY_BETTYAMMO)
			{
				case 16: return WEAPON_SCALE(GWW_ROCKETLAUNCHER);
				case 50: return WEAPON_SCALE(GWW_ROCKETLAUNCHER - 10);
				default: return balance(5, 3, 7);
			} //end switch
#else
			return 1;
#endif
		} //end default
	} //end switch
} //end weight

weight "weapon_boaster"
{
	switch(INVENTORY_BOASTER)
	{
		case 1: return WEAPON_SCALE(W_LIGHTNING);
		default:
		{
#ifdef WEAPONS_STAY
			switch(INVENTORY_BOASTERAMMO)
			{
				case 16: return WEAPON_SCALE(GWW_LIGHTNING);
				case 50: return WEAPON_SCALE(GWW_LIGHTNING - 10);
				default: return balance(5, 3, 7);
			} //end switch
#else
			return 1;
#endif
		} //end default
	} //end switch
} //end weight

weight "weapon_splasher"
{
	switch(INVENTORY_SPLASHER)
	{
		case 1: return WEAPON_SCALE(W_RAILGUN);
		default:
		{
#ifdef WEAPONS_STAY
			switch(INVENTORY_SPLASHERAMMO)
			{
				case 16: return WEAPON_SCALE(GWW_RAILGUN);
				case 50: return WEAPON_SCALE(GWW_RAILGUN - 10);
				default: return balance(5, 3, 7);
			} //end switch
#else
			return 1;
#endif
		} //end default
	} //end switch
} //end weight

weight "weapon_bubbleg"
{
	switch(INVENTORY_BUBBLEG)
	{
		case 1: return WEAPON_SCALE(W_PLASMAGUN);
		default:
		{
#ifdef WEAPONS_STAY
			switch(INVENTORY_BUBBLEGAMMO)
			{
				case 16: return WEAPON_SCALE(GWW_PLASMAGUN);
				case 50: return WEAPON_SCALE(GWW_PLASMAGUN - 10);
				default: return balance(5, 3, 7);
			} //end switch
#else
			return 1;
#endif
		} //end default
	} //end switch
} //end weight

weight "weapon_imperius"
{
	switch(INVENTORY_IMPERIUS)
	{
		case 1: return WEAPON_SCALE(W_BFG10K);
		default:
		{
#ifdef WEAPONS_STAY
			switch(INVENTORY_IMPERIUSAMMO)
			{
				case 16: return WEAPON_SCALE(GWW_BFG10K);
				case 200: return WEAPON_SCALE(GWW_BFG10K - 10);
				default: return balance(5, 3, 7);
			} //end switch
#else
			return 1;
#endif
		} //end default
	} //end switch
} //end weight

weight "weapon_spraypistol"
{
	switch(INVENTORY_SPRAYPISTOL)
	{
		case 1:
		{
			return WEAPON_SCALE(W_MACHINEGUN);
		} //end case
		default:
		{
			return WEAPON_SCALE(W_MACHINEGUN);
		} //end default
	} //switch
} //end weight

//=============================================
// AMMO
//=============================================

weight "ammo_pumper"
{
	switch(INVENTORY_PUMPERAMMO)
	{
		case 20: return AMMO_SCALE(20);
		case 40: return AMMO_SCALE(20);
		case 60: return AMMO_SCALE(20);
		case 80: return AMMO_SCALE(20);
		case 100: return AMMO_SCALE(20);
		case 120: return AMMO_SCALE(20);
		case 140: return AMMO_SCALE(20);
		case 160: return AMMO_SCALE(20);
		case 180: return AMMO_SCALE(20);
		case 200: return AMMO_SCALE(20);
		default: return 0;
	} //end switch
} //end weight

weight "ammo_nipper"
{
	switch(INVENTORY_NIPPERAMMO)
	{
		case 20: return AMMO_SCALE(20);
		case 40: return AMMO_SCALE(20);
		case 60: return AMMO_SCALE(20);
		case 80: return AMMO_SCALE(20);
		case 100: return AMMO_SCALE(20);
		case 120: return AMMO_SCALE(20);
		case 140: return AMMO_SCALE(20);
		case 160: return AMMO_SCALE(20);
		case 180: return AMMO_SCALE(20);
		case 200: return AMMO_SCALE(20);
		default: return 0;
	} //end switch
} //end weight

weight "ammo_balloony"
{
	switch(INVENTORY_BALLOONYAMMO)
	{
		case 20: return AMMO_SCALE(20);
		case 40: return AMMO_SCALE(20);
		case 60: return AMMO_SCALE(20);
		case 80: return AMMO_SCALE(20);
		case 100: return AMMO_SCALE(20);
		case 120: return AMMO_SCALE(20);
		case 140: return AMMO_SCALE(20);
		case 160: return AMMO_SCALE(20);
		case 180: return AMMO_SCALE(20);
		case 200: return AMMO_SCALE(20);
		default: return 0;
	} //end switch
} //end weight

weight "ammo_bubbleg"
{
	switch(INVENTORY_BUBBLEGAMMO)
	{
		case 20: return AMMO_SCALE(20);
		case 40: return AMMO_SCALE(20);
		case 60: return AMMO_SCALE(20);
		case 80: return AMMO_SCALE(20);
		case 100: return AMMO_SCALE(20);
		case 120: return AMMO_SCALE(20);
		case 140: return AMMO_SCALE(20);
		case 160: return AMMO_SCALE(20);
		case 180: return AMMO_SCALE(20);
		case 200: return AMMO_SCALE(20);
		default: return 0;
	} //end switch
} //end weight

weight "ammo_boaster"
{
	switch(INVENTORY_BOASTERAMMO)
	{
		case 20: return AMMO_SCALE(20);
		case 40: return AMMO_SCALE(20);
		case 60: return AMMO_SCALE(20);
		case 80: return AMMO_SCALE(20);
		case 100: return AMMO_SCALE(20);
		case 120: return AMMO_SCALE(20);
		case 140: return AMMO_SCALE(20);
		case 160: return AMMO_SCALE(20);
		case 180: return AMMO_SCALE(20);
		case 200: return AMMO_SCALE(20);
		default: return 0;
	} //end switch
} //end weight

weight "ammo_betty"
{
	switch(INVENTORY_BETTYAMMO)
	{
		case 20: return AMMO_SCALE(20);
		case 40: return AMMO_SCALE(20);
		case 60: return AMMO_SCALE(20);
		case 80: return AMMO_SCALE(20);
		case 100: return AMMO_SCALE(20);
		case 120: return AMMO_SCALE(20);
		case 140: return AMMO_SCALE(20);
		case 160: return AMMO_SCALE(20);
		case 180: return AMMO_SCALE(20);
		case 200: return AMMO_SCALE(20);
		default: return 0;
	} //end switch
} //end weight

weight "ammo_splasher"
{
	switch(INVENTORY_SPLASHERAMMO)
	{
		case 20: return AMMO_SCALE(20);
		case 40: return AMMO_SCALE(20);
		case 60: return AMMO_SCALE(20);
		case 80: return AMMO_SCALE(20);
		case 100: return AMMO_SCALE(20);
		case 120: return AMMO_SCALE(20);
		case 140: return AMMO_SCALE(20);
		case 160: return AMMO_SCALE(20);
		case 180: return AMMO_SCALE(20);
		case 200: return AMMO_SCALE(20);
		default: return 0;
	} //end switch
} //end weight

weight "ammo_imperius"
{
	switch(INVENTORY_IMPERIUSAMMO)
	{
		case 20: return AMMO_SCALE(20);
		case 40: return AMMO_SCALE(20);
		case 60: return AMMO_SCALE(20);
		case 80: return AMMO_SCALE(20);
		case 100: return AMMO_SCALE(20);
		case 120: return AMMO_SCALE(20);
		case 140: return AMMO_SCALE(20);
		case 160: return AMMO_SCALE(20);
		case 180: return AMMO_SCALE(20);
		case 200: return AMMO_SCALE(20);
		default: return 0;
	} //end switch
} //end weight


weight "ammo_spray_b"
{
	switch(INVENTORY_SPRAYPISTOLAMMO)
	{
		case 1: return AMMO_SCALE(90);
		case 2: return AMMO_SCALE(70);
		case 3: return AMMO_SCALE(50);
		case 4: return AMMO_SCALE(40);
		case 5: return AMMO_SCALE(30);
		case 6: return AMMO_SCALE(20);
		case 7: return AMMO_SCALE(10);
		case 8: return AMMO_SCALE(10);
		default: return 0;
	} //end switch
} //end weight

weight "ammo_spray_r"
{
	switch(INVENTORY_SPRAYPISTOLAMMO)
	{
		case 1: return AMMO_SCALE(90);
		case 2: return AMMO_SCALE(70);
		case 3: return AMMO_SCALE(50);
		case 4: return AMMO_SCALE(40);
		case 5: return AMMO_SCALE(30);
		case 6: return AMMO_SCALE(20);
		case 7: return AMMO_SCALE(10);
		case 8: return AMMO_SCALE(10);
		default: return 0;
	} //end switch
} //end weight

weight "ammo_spray_n"
{
	switch(INVENTORY_SPRAYPISTOLAMMO)
	{
		case 1: return AMMO_SCALE(90);
		case 2: return AMMO_SCALE(70);
		case 3: return AMMO_SCALE(50);
		case 4: return AMMO_SCALE(40);
		case 5: return AMMO_SCALE(30);
		case 6: return AMMO_SCALE(20);
		case 7: return AMMO_SCALE(10);
		case 8: return AMMO_SCALE(10);
		default: return 0;
	} //end switch
} //end weight

//=============================================
// POWERUPS
//=============================================

weight "holdable_killerducks"
{
	switch(INVENTORY_KILLERDUCKS)
	{
		case 1:
		{
			switch(INVENTORY_FLOATER)
			{
				case 1: return POWERUP_SCALE(W_KILLERDUCKS);
				default: return 0; //already has holdable
			} //end switch
		} //end case
		default: return 0; //already has a holdable
	} //end switch
} //end weight

weight "holdable_floater"
{
	switch(INVENTORY_FLOATER)
	{
		case 1:
		{
			switch(INVENTORY_KILLERDUCKS)
			{
				case 1: return POWERUP_SCALE(W_FLOATER);
				default: return 0; //already has holdable
			} //end switch
		} //end case
		default: return 0; //already has a holdable
	} //end switch
} //end weight


weight "item_revival"
{
	return POWERUP_SCALE(W_REVIVAL);
} //end weight


weight "item_visionless"
{
	return POWERUP_SCALE(W_VISIONLESS);
} //end weight


weight "item_jumper"
{
	return POWERUP_SCALE(W_JUMPER);
} //end weight


weight "item_speedy"
{
	return POWERUP_SCALE(W_SPEEDY);
} //end weight


weight "item_climber"
{
	return POWERUP_SCALE(W_CLIMBER);
} //end weight

weight "item_padpower"
{
	return POWERUP_SCALE(W_PADPOWER);
} //end weight

//=============================================
// bot roam goal
//=============================================

weight "item_botroam"
{
	return 1;
} //end weight